#include "game_object.h"

namespace engineapi {
	GameObject::GameObject()
	{
	}
	GameObject::~GameObject()
	{
	}
	void GameObject::AddComponent(ComponentType type, Component* component)
	{
		component->mOwner = this;
		mComponents.insert(std::pair<ComponentType, Component*>(type, component));
	}
}
